grk::PiResolution Struct Reference

`#include <PacketIter.h>`

## Public Member Functions

| PiResolution ()
| ~PiResolution ()

## Public Attributes

uint32_t | precWidthExp
uint32_t | precHeightExp
uint32_t | precinctGridWidth
uint32_t | precinctGridHeight
ResPrecinctInfo * | precinctInfo

## Constructor & Destructor Documentation

## PiResolution()

grk::PiResolution::PiResolution | ( |  | ) |

inline

## ~PiResolution()

grk::PiResolution::~PiResolution | ( |  | ) |

inline

References precinctInfo.

## Member Data Documentation

## precHeightExp

uint32_t grk::PiResolution::precHeightExp

## precinctGridHeight

uint32_t grk::PiResolution::precinctGridHeight

## precinctGridWidth

uint32_t grk::PiResolution::precinctGridWidth

Referenced by grk::PacketIter::generatePrecinctIndex(), grk::PacketIter::next_lrcp(), and grk::PacketIter::next_rlcp().

## precinctInfo

ResPrecinctInfo* grk::PiResolution::precinctInfo

Referenced by ~PiResolution().

## precWidthExp

uint32_t grk::PiResolution::precWidthExp

Referenced by grk::PacketIter::genPrecinctInfoOPT(), and grk::PacketIter::init().

The documentation for this struct was generated from the following file:

- PacketIter.h